
Katello - Bug #6915

Foreman-rake clean_backend_objects fails due to activation key

08/04/2014 10:23 AM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Hosts   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1125023 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/452

4

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1125023

Description of problem:

Running foreman-rake  katello:clean_backend_objects --trace

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. foreman-rake  katello:clean_backend_objects --trace

2. read error

3.

Actual results:

/opt/rh/ruby193/root/usr/bin/rake:32:in `<main>'

caused by: (PGError) ERROR:  update or delete on table "katello_systems" violates foreign key constraint

"system_activation_keys_system_id_fk" on table "katello_system_activation_keys"

DETAIL:  Key (id)=(4) is still referenced from table "katello_system_activation_keys".

[root@satellite ~]# hammer activation-key  list --organization ACME_Corporation

---|---------------|----------------|-----------------------|-------------

ID | NAME          | CONSUMED       | LIFECYCLE ENVIRONMENT | CONTENT VIEW

---|---------------|----------------|-----------------------|-------------

1  | LAMP-Complete | 5 of Unlimited | Development           | LAMP-Press

---|---------------|----------------|-----------------------|-------------

Expected results:

Successful run of foreman-rake  katello:clean_backend_objects since activation_key id=4 does not exist.

Additional info:

Associated revisions

Revision a91ee656 - 08/04/2014 10:23 AM - Justin Sherrill

fixes #6915 - cleanup activation key association on clean_backend_objects

Revision 8f512156 - 08/06/2014 09:54 AM - Justin Sherrill

Merge pull request #4524 from jlsherrill/6915

fixes #6915 - cleanup activation key association on clean_backend_objects
History

#1 - 08/04/2014 10:25 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4524 added

- Pull request deleted ()

#2 - 08/04/2014 10:34 AM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/06/2014 10:01 AM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|a91ee65677d57dea81bb34a6ede6c11e176fe015.

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
